БС 2.2 rev.6 ssh

LoRa, LoRaWAN, Вега Smart
Ответить
sudo
Мимо проходил
Сообщения: 16
Зарегистрирован: Чт, 29 июл 2021 15:34

БС 2.2 rev.6 ssh

Сообщение sudo » Пн, 24 июл 2023 23:21

Здравствуйте.

Пришли 2 БС rev.6. Ранее настраивали по ssh, с помощью скрипта из терминала. Теперь дефолный (temppwd) пароль не воспринимает. Пользователь root в системе есть, по tty подключаюсь с дефолтным паролем нормально. Где лежит конфиг ssh?

Заметил изменения в системе. APT не работает "специально" или только планируется?

Аватара пользователя
p.gundarev
Мимо проходил
Сообщения: 11
Зарегистрирован: Пн, 03 апр 2023 16:38
Откуда: Новосибирск
Контактная информация:

Re: БС 2.2 rev.6 ssh

Сообщение p.gundarev » Вт, 25 июл 2023 16:06

Добрый день!
Попробуйте admin admin
Техническая поддержка
support@vega-absolute.ru

sudo
Мимо проходил
Сообщения: 16
Зарегистрирован: Чт, 29 июл 2021 15:34

Re: БС 2.2 rev.6 ssh

Сообщение sudo » Вт, 25 июл 2023 16:59

Не пускает

Аватара пользователя
p.gundarev
Мимо проходил
Сообщения: 11
Зарегистрирован: Пн, 03 апр 2023 16:38
Откуда: Новосибирск
Контактная информация:

Re: БС 2.2 rev.6 ssh

Сообщение p.gundarev » Ср, 26 июл 2023 09:14

Или admin temppwd.
Техническая поддержка
support@vega-absolute.ru

sudo
Мимо проходил
Сообщения: 16
Зарегистрирован: Чт, 29 июл 2021 15:34

Re: БС 2.2 rev.6 ssh

Сообщение sudo » Ср, 26 июл 2023 14:28

Эта комбинация подошла. Теперь на всех новых ревизиях будет такая авторизация? Где нибудь можно ченьджлог посмотреть? У Вас же в гите все где-то хранится?

Раньше packet forwarder лежал в домашней директории root. Куда теперь он перекочевал? Конфиг нашел в /etc

Спасибо за apt. Привык уже использовать apt без -get, сразу не обратил внимания. По умолчанию - не все репозитории с актуальными ключами:
imx6ull-vega-00374-03:~$ sudo apt-get update
Get:1 http://ftp.debian.org/debian buster InRelease [122 kB]
Get:2 http://ftp.debian.org/debian buster-updates InRelease [56,6 kB]
Ign:1 http://ftp.debian.org/debian buster InRelease
Get:3 http://ftp.debian.org/debian buster/main armhf Packages [7 706 kB]
Ign:2 http://ftp.debian.org/debian buster-updates InRelease
Get:4 http://ftp.debian.org/debian buster/contrib armhf Packages [40,1 kB]
Get:5 http://ftp.debian.org/debian buster/non-free armhf Packages [62,1 kB]
Get:6 http://ftp.debian.org/debian buster-updates/main armhf Packages [8 784 B]
Fetched 7 995 kB in 15s (525 kB/s)
Reading package lists... Done
W: GPG error: http://ftp.debian.org/debian buster InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 648ACFD622F3D138 NO_PUBKEY 0E98404D386FA1D9 NO_PUBKEY DCC9EFBF77E11517
W: The repository 'http://ftp.debian.org/debian buster InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: http://ftp.debian.org/debian buster-updates InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 648ACFD622F3D138 NO_PUBKEY 0E98404D386FA1D9
W: The repository 'http://ftp.debian.org/debian buster-updates InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Failed to fetch /
E: Failed to fetch /
E: Failed to fetch /
E: Failed to fetch /
E: Failed to fetch /
E: Some index files failed to download. They have been ignored, or old ones used instead.
Не долго радовался. После попытки установить mc, получил:
apt-get: error while loading shared libraries: libgcc_s.so.1: cannot open shared object file: No such file or directory

Код: Выделить всё

imx6ull-vega-00374-03:~$ sudo apt-get install mc
Reading package lists... Done
Building dependency tree... Done
The following additional packages will be installed:
  bzip2 gcc-8-base libbz2-1.0 libffi6 libgcc1 libgcrypt20 libglib2.0-0 libglib2.0-data libgpg-error-l10n libgpg-error0 libgpm2 libicu63 libpcre3 libselinux1 libslang2 libssh2-1 libxml2 mc-data mime-support shared-mime-info unzip
  xdg-user-dirs xz-utils zlib1g
Suggested packages:
  bzip2-doc rng-tools gpm arj catdvi | texlive-binaries dbview djvulibre-bin epub-utils genisoimage gv imagemagick libaspell-dev links | w3m | lynx odt2txt poppler-utils python python-boto python-tz xpdf | pdf-viewer zip
The following packages will be REMOVED:
  libgcc-s-dev
The following NEW packages will be installed:
  bzip2 gcc-8-base libbz2-1.0 libffi6 libgcrypt20 libglib2.0-0 libglib2.0-data libgpg-error-l10n libgpg-error0 libgpm2 libicu63 libpcre3 libselinux1 libslang2 libssh2-1 libxml2 mc mc-data mime-support shared-mime-info unzip
  xdg-user-dirs xz-utils zlib1g
The following packages will be upgraded:
  libgcc1
1 upgraded, 24 newly installed, 1 to remove and 32 not upgraded.
Need to get 15,9 MB of archives.
After this operation, 60,9 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
WARNING: The following packages cannot be authenticated!
  gcc-8-base libgcc1 libbz2-1.0 bzip2 mime-support xz-utils libffi6 libgpg-error0 libgcrypt20 libpcre3 libselinux1 zlib1g libglib2.0-0 libglib2.0-data libgpg-error-l10n libgpm2 libicu63 libslang2 libssh2-1 libxml2 mc-data mc
  shared-mime-info unzip xdg-user-dirs
Install these packages without verification? [y/N] y
Get:1 http://ftp.debian.org/debian buster/main armhf gcc-8-base armhf 8.3.0-6 [191 kB]
Get:2 http://ftp.debian.org/debian buster/main armhf libgcc1 armhf 1:8.3.0-6 [37,2 kB]
Get:3 http://ftp.debian.org/debian buster/main armhf libbz2-1.0 armhf 1.0.6-9.2~deb10u1 [43,6 kB]
Get:4 http://ftp.debian.org/debian buster/main armhf bzip2 armhf 1.0.6-9.2~deb10u1 [46,7 kB]
Get:5 http://ftp.debian.org/debian buster/main armhf mime-support all 3.62 [37,2 kB]
Get:6 http://ftp.debian.org/debian buster/main armhf xz-utils armhf 5.2.4-1+deb10u1 [181 kB]
Get:7 http://ftp.debian.org/debian buster/main armhf libffi6 armhf 3.2.1-9 [18,9 kB]
Get:8 http://ftp.debian.org/debian buster/main armhf libgpg-error0 armhf 1.35-1 [62,6 kB]
Get:9 http://ftp.debian.org/debian buster/main armhf libgcrypt20 armhf 1.8.4-5+deb10u1 [501 kB]
Get:10 http://ftp.debian.org/debian buster/main armhf libpcre3 armhf 2:8.39-12 [317 kB]
Get:11 http://ftp.debian.org/debian buster/main armhf libselinux1 armhf 2.8-1+b1 [77,4 kB]
Get:12 http://ftp.debian.org/debian buster/main armhf zlib1g armhf 1:1.2.11.dfsg-1+deb10u1 [85,1 kB]
Get:13 http://ftp.debian.org/debian buster/main armhf libglib2.0-0 armhf 2.58.3-2+deb10u3 [1 102 kB]
Get:14 http://ftp.debian.org/debian buster/main armhf libglib2.0-data all 2.58.3-2+deb10u3 [1 111 kB]
Get:15 http://ftp.debian.org/debian buster/main armhf libgpg-error-l10n all 1.35-1 [97,6 kB]
Get:16 http://ftp.debian.org/debian buster/main armhf libgpm2 armhf 1.20.7-5 [34,2 kB]
Get:17 http://ftp.debian.org/debian buster/main armhf libicu63 armhf 63.1-6+deb10u3 [8 002 kB]
Get:18 http://ftp.debian.org/debian buster/main armhf libslang2 armhf 2.3.2-2 [466 kB]
Get:19 http://ftp.debian.org/debian buster/main armhf libssh2-1 armhf 1.8.0-2.1 [129 kB]
Get:20 http://ftp.debian.org/debian buster/main armhf libxml2 armhf 2.9.4+dfsg1-7+deb10u4 [597 kB]
Get:21 http://ftp.debian.org/debian buster/main armhf mc-data all 3:4.8.22-1 [1 292 kB]
Get:22 http://ftp.debian.org/debian buster/main armhf mc armhf 3:4.8.22-1 [457 kB]
Get:23 http://ftp.debian.org/debian buster/main armhf shared-mime-info armhf 1.10-1 [763 kB]
Get:24 http://ftp.debian.org/debian buster/main armhf unzip armhf 6.0-23+deb10u2 [158 kB]
Get:25 http://ftp.debian.org/debian buster/main armhf xdg-user-dirs armhf 0.17-2 [52,4 kB]
Fetched 15,9 MB in 2s (5 485 kB/s)        
(Reading database ... 13210 files and directories currently installed.)
Removing libgcc-s-dev (9.2.0-r0) ...
Selecting previously unselected package gcc-8-base:armhf.
(Reading database ... 13197 files and directories currently installed.)
Preparing to unpack .../gcc-8-base_8.3.0-6_armhf.deb ...
Unpacking gcc-8-base:armhf (8.3.0-6) ...
Setting up gcc-8-base:armhf (8.3.0-6) ...
(Reading database ... 13206 files and directories currently installed.)
Preparing to unpack .../libgcc1_1%3a8.3.0-6_armhf.deb ...
Unpacking libgcc1:armhf (1:8.3.0-6) over (9.2.0-r0) ...
Setting up libgcc1:armhf (1:8.3.0-6) ...
Selecting previously unselected package libbz2-1.0:armhf.
(Reading database ... 13211 files and directories currently installed.)
Preparing to unpack .../libbz2-1.0_1.0.6-9.2~deb10u1_armhf.deb ...
Unpacking libbz2-1.0:armhf (1.0.6-9.2~deb10u1) ...
Selecting previously unselected package bzip2.
Preparing to unpack .../bzip2_1.0.6-9.2~deb10u1_armhf.deb ...
Unpacking bzip2 (1.0.6-9.2~deb10u1) ...
Selecting previously unselected package mime-support.
Preparing to unpack .../mime-support_3.62_all.deb ...
Unpacking mime-support (3.62) ...
Selecting previously unselected package xz-utils.
Preparing to unpack .../xz-utils_5.2.4-1+deb10u1_armhf.deb ...
Unpacking xz-utils (5.2.4-1+deb10u1) ...
Selecting previously unselected package libffi6:armhf.
Preparing to unpack .../libffi6_3.2.1-9_armhf.deb ...
Unpacking libffi6:armhf (3.2.1-9) ...
Selecting previously unselected package libgpg-error0:armhf.
Preparing to unpack .../libgpg-error0_1.35-1_armhf.deb ...
Unpacking libgpg-error0:armhf (1.35-1) ...
Selecting previously unselected package libgcrypt20:armhf.
Preparing to unpack .../libgcrypt20_1.8.4-5+deb10u1_armhf.deb ...
Unpacking libgcrypt20:armhf (1.8.4-5+deb10u1) ...
Selecting previously unselected package libpcre3:armhf.
Preparing to unpack .../libpcre3_2%3a8.39-12_armhf.deb ...
Unpacking libpcre3:armhf (2:8.39-12) ...
Selecting previously unselected package libselinux1:armhf.
Preparing to unpack .../libselinux1_2.8-1+b1_armhf.deb ...
Unpacking libselinux1:armhf (2.8-1+b1) ...
Selecting previously unselected package zlib1g:armhf.
Preparing to unpack .../zlib1g_1%3a1.2.11.dfsg-1+deb10u1_armhf.deb ...
Unpacking zlib1g:armhf (1:1.2.11.dfsg-1+deb10u1) ...
Selecting previously unselected package libglib2.0-0:armhf.
Preparing to unpack .../libglib2.0-0_2.58.3-2+deb10u3_armhf.deb ...
Unpacking libglib2.0-0:armhf (2.58.3-2+deb10u3) ...
Selecting previously unselected package libglib2.0-data.
Preparing to unpack .../libglib2.0-data_2.58.3-2+deb10u3_all.deb ...
Unpacking libglib2.0-data (2.58.3-2+deb10u3) ...
Selecting previously unselected package libgpg-error-l10n.
Preparing to unpack .../libgpg-error-l10n_1.35-1_all.deb ...
Unpacking libgpg-error-l10n (1.35-1) ...
Selecting previously unselected package libgpm2:armhf.
Preparing to unpack .../libgpm2_1.20.7-5_armhf.deb ...
Unpacking libgpm2:armhf (1.20.7-5) ...
Selecting previously unselected package libicu63:armhf.
Preparing to unpack .../libicu63_63.1-6+deb10u3_armhf.deb ...
Unpacking libicu63:armhf (63.1-6+deb10u3) ...
Selecting previously unselected package libslang2:armhf.
Preparing to unpack .../libslang2_2.3.2-2_armhf.deb ...
Unpacking libslang2:armhf (2.3.2-2) ...
Selecting previously unselected package libssh2-1:armhf.
Preparing to unpack .../libssh2-1_1.8.0-2.1_armhf.deb ...
Unpacking libssh2-1:armhf (1.8.0-2.1) ...
Selecting previously unselected package libxml2:armhf.
Preparing to unpack .../libxml2_2.9.4+dfsg1-7+deb10u4_armhf.deb ...
Unpacking libxml2:armhf (2.9.4+dfsg1-7+deb10u4) ...
Selecting previously unselected package mc-data.
Preparing to unpack .../mc-data_3%3a4.8.22-1_all.deb ...
Unpacking mc-data (3:4.8.22-1) ...
Selecting previously unselected package mc.
Preparing to unpack .../mc_3%3a4.8.22-1_armhf.deb ...
Unpacking mc (3:4.8.22-1) ...
Selecting previously unselected package shared-mime-info.
Preparing to unpack .../shared-mime-info_1.10-1_armhf.deb ...
Unpacking shared-mime-info (1.10-1) ...
Selecting previously unselected package unzip.
Preparing to unpack .../unzip_6.0-23+deb10u2_armhf.deb ...
Unpacking unzip (6.0-23+deb10u2) ...
Selecting previously unselected package xdg-user-dirs.
Preparing to unpack .../xdg-user-dirs_0.17-2_armhf.deb ...
Unpacking xdg-user-dirs (0.17-2) ...
Setting up libbz2-1.0:armhf (1.0.6-9.2~deb10u1) ...
Setting up bzip2 (1.0.6-9.2~deb10u1) ...
Setting up mime-support (3.62) ...
Can't locate File/Glob.pm in @INC (you may need to install the File::Glob module) (@INC contains: /usr/lib/perl5/site_perl/5.30.1/arm-linux /usr/lib/perl5/site_perl/5.30.1 /usr/lib/perl5/vendor_perl/5.30.1/arm-linux /usr/lib/perl5/vendor_perl/5.30.1 /usr/lib/perl5/5.30.1/arm-linux /usr/lib/perl5/5.30.1 .) at /usr/sbin/update-mime line 75.
BEGIN failed--compilation aborted at /usr/sbin/update-mime line 75.
dpkg: error processing package mime-support (--configure):
 installed mime-support package post-installation script subprocess returned error exit status 2
Setting up xz-utils (5.2.4-1+deb10u1) ...
update-alternatives: Linking /usr/bin/lzma to /usr/bin/xz
Setting up libffi6:armhf (3.2.1-9) ...
Setting up libgpg-error0:armhf (1.35-1) ...
Setting up libgcrypt20:armhf (1.8.4-5+deb10u1) ...
Setting up libpcre3:armhf (2:8.39-12) ...
Setting up libselinux1:armhf (2.8-1+b1) ...
Setting up zlib1g:armhf (1:1.2.11.dfsg-1+deb10u1) ...
Setting up libglib2.0-0:armhf (2.58.3-2+deb10u3) ...
/usr/lib/arm-linux-gnueabihf/glib-2.0/glib-compile-schemas: error while loading shared libraries: libgio-2.0.so.0: cannot open shared object file: No such file or directory
/usr/lib/arm-linux-gnueabihf/glib-2.0/gio-querymodules: error while loading shared libraries: libgio-2.0.so.0: cannot open shared object file: No such file or directory
Setting up libglib2.0-data (2.58.3-2+deb10u3) ...
Setting up libgpg-error-l10n (1.35-1) ...
Setting up libgpm2:armhf (1.20.7-5) ...
Setting up libicu63:armhf (63.1-6+deb10u3) ...
Setting up libslang2:armhf (2.3.2-2) ...
Setting up libssh2-1:armhf (1.8.0-2.1) ...
Setting up libxml2:armhf (2.9.4+dfsg1-7+deb10u4) ...
Setting up mc-data (3:4.8.22-1) ...
Setting up mc (3:4.8.22-1) ...
update-alternatives: Linking /usr/bin/view to /usr/bin/mcview
update-alternatives: Linking /usr/bin/editor to /usr/bin/mcedit
Setting up shared-mime-info (1.10-1) ...
update-mime-database: error while loading shared libraries: libxml2.so.2: cannot open shared object file: No such file or directory
dpkg: error processing package shared-mime-info (--configure):
 installed shared-mime-info package post-installation script subprocess returned error exit status 127
Setting up unzip (6.0-23+deb10u2) ...
Can't locate File/Glob.pm in @INC (you may need to install the File::Glob module) (@INC contains: /usr/lib/perl5/site_perl/5.30.1/arm-linux /usr/lib/perl5/site_perl/5.30.1 /usr/lib/perl5/vendor_perl/5.30.1/arm-linux /usr/lib/perl5/vendor_perl/5.30.1 /usr/lib/perl5/5.30.1/arm-linux /usr/lib/perl5/5.30.1 .) at /usr/sbin/update-mime line 75.
BEGIN failed--compilation aborted at /usr/sbin/update-mime line 75.
dpkg: error processing package unzip (--configure):
 installed unzip package post-installation script subprocess returned error exit status 2
Setting up xdg-user-dirs (0.17-2) ...
Errors were encountered while processing:
 mime-support
 shared-mime-info
 unzip
E: Sub-process /usr/bin/dpkg returned an error code (1)

Ответить